View Issue Details

IDProjectCategoryView StatusLast Update
0002071ScribusOS-PPCOSXpublic2005-11-05 13:52
Reporterjuh Assigned Toavox  
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionunable to reproduce 
Product Version1.3.0cvs 
Target VersionFixed in Version1.3.1cvs 
Summary0002071: Crash when adding ~/Library/Fonts to Font Path in Preferences
DescriptionI added the Font Directory in my Home Library Directory to the font path and Scribus crashes after importing the path. This was generated by Mac Bug Report Tool.

Date/Time: 2005-06-07 15:12:29.219 +0200
OS Version: 10.4.1 (Build 8B15)
Report Version: 3

Command: Scribus
Path: /Applications/Scribus.app/Contents//bin/Scribus
Parent: WindowServer [62]

Version: 1.3cvs (???)

PID: 1408
Thread: 0

Exception: EXC_BAD_ACCESS (0x0001)
Codes: KERN_PROTECTION_FAILURE (0x0002) at 0x00000004

Thread 0 Crashed:
0 libqt-mt.3.dylib 0xb22b84dc QRegExp::caretIndex(int, QRegExp::CaretMode) + 108
1 Scribus 0x003b8c18 unz_copyright + 158820
2 Scribus 0x003b8c18 unz_copyright + 158820
3 Scribus 0x003b80dc unz_copyright + 155944
4 Scribus 0x002b1304 RealFHeight(ScribusDoc*, Foi*, int) + 68
5 Scribus 0x0013ebec PageItem::DrawObj_TextFrame(ScPainter*, QRect) + 13188
6 Scribus 0x001396cc PageItem::DrawObj(ScPainter*, QRect) + 340
7 Scribus 0x001c0fc4 ScribusView::DrawPageItems(ScPainter*, QRect) + 820
8 Scribus 0x001be5c8 ScribusView::drawContents(QPainter*, int, int, int, int) + 2092
9 libqt-mt.3.dylib 0xb2152564 QScrollView::drawContentsOffset(QPainter*, int, int, int, int, int, int) + 152
10 libqt-mt.3.dylib 0xb2151314 QScrollView::viewportPaintEvent(QPaintEvent*) + 540
11 Scribus 0x001bdd88 ScribusView::viewportPaintEvent(QPaintEvent*) + 72
12 libqt-mt.3.dylib 0xb2150fcc QScrollView::eventFilter(QObject*, QEvent*) + 824
13 libqt-mt.3.dylib 0xb20798c4 QObject::activate_filters(QEvent*) + 140
14 libqt-mt.3.dylib 0xb2079768 QObject::event(QEvent*) + 72
15 libqt-mt.3.dylib 0xb20a63d4 QWidget::event(QEvent*) + 36
16 libqt-mt.3.dylib 0xb203c208 QApplication::internalNotify(QObject*, QEvent*) + 764
17 libqt-mt.3.dylib 0xb203be00 QApplication::notify(QObject*, QEvent*) + 2692
18 libqt-mt.3.dylib 0xb202499c QWidget::repaint(QRegion const&, bool) + 244
19 libqt-mt.3.dylib 0xb200714c QApplication::globalEventProcessor(OpaqueEventHandlerCallRef*, OpaqueEventRef*, void*) + 656
20 com.apple.HIToolbox 0x93121ab4 DispatchEventToHandlers(EventTargetRec*, OpaqueEventRef*, HandlerCallRec*) + 692
21 com.apple.HIToolbox 0x9312120c SendEventToEventTargetInternal(OpaqueEventRef*, OpaqueEventTargetRef*, HandlerCallRec*) + 372
22 com.apple.HIToolbox 0x93121088 SendEventToEventTargetWithOptions + 40
23 com.apple.HIToolbox 0x931283cc ToolboxEventDispatcherHandler(OpaqueEventHandlerCallRef*, OpaqueEventRef*, void*) + 704
24 com.apple.HIToolbox 0x93121d04 DispatchEventToHandlers(EventTargetRec*, OpaqueEventRef*, HandlerCallRec*) + 1284
25 com.apple.HIToolbox 0x9312120c SendEventToEventTargetInternal(OpaqueEventRef*, OpaqueEventTargetRef*, HandlerCallRec*) + 372
26 com.apple.HIToolbox 0x93127f90 SendEventToEventTarget + 40
27 libqt-mt.3.dylib 0xb2006e9c qt_mac_send_event(unsigned, OpaqueEventRef*, OpaqueWindowPtr*) + 240
28 libqt-mt.3.dylib 0xb202b2a0 QEventLoop::processEvents(unsigned) + 228
29 libqt-mt.3.dylib 0xb204a238 QEventLoop::enterLoop() + 120
30 libqt-mt.3.dylib 0xb21aed8c QDialog::exec() + 152
31 Scribus 0x003027a0 ScribusApp::slotPrefsOrg() + 120
32 Scribus 0x002c3488 ScribusApp::qt_invoke(int, QUObject*) + 5664
33 libqt-mt.3.dylib 0xb207be38 QObject::activate_signal(QConnectionList*, QUObject*) + 220
34 libqt-mt.3.dylib 0xb207bd20 QObject::activate_signal(int) + 272
35 libqt-mt.3.dylib 0xb2332090 QAction::qt_invoke(int, QUObject*) + 244
36 Scribus 0x001adab8 ScrAction::qt_invoke(int, QUObject*) + 172
37 libqt-mt.3.dylib 0xb207be38 QObject::activate_signal(QConnectionList*, QUObject*) + 220
38 libqt-mt.3.dylib 0xb2318098 QSignal::signal(QVariant const&) + 144
39 libqt-mt.3.dylib 0xb208f90c QSignal::activate() + 132
40 libqt-mt.3.dylib 0xb214962c QPopupMenu::activateItemAt(int) + 500
41 libqt-mt.3.dylib 0xb219c1cc QMenuBar::activateCommand(unsigned) + 248
42 libqt-mt.3.dylib 0xb200afe0 QApplication::globalEventProcessor(OpaqueEventHandlerCallRef*, OpaqueEventRef*, void*) + 16676
43 com.apple.HIToolbox 0x93121ab4 DispatchEventToHandlers(EventTargetRec*, OpaqueEventRef*, HandlerCallRec*) + 692
44 com.apple.HIToolbox 0x9312120c SendEventToEventTargetInternal(OpaqueEventRef*, OpaqueEventTargetRef*, HandlerCallRec*) + 372
45 com.apple.HIToolbox 0x93127f90 SendEventToEventTarget + 40
46 com.apple.HIToolbox 0x931a0e4c SendHICommandEvent(unsigned long, HICommand const*, unsigned long, unsigned long, unsigned char, OpaqueEventTargetRef*, OpaqueEventTargetRef*, OpaqueEventRef**) + 380
47 com.apple.HIToolbox 0x931d0e34 SendMenuItemSelectedEvent + 136
48 com.apple.HIToolbox 0x931d0d3c FinishMenuSelection(MenuData*, MenuData*, MenuResult*, MenuResult*, unsigned long, unsigned long, unsigned long, unsigned char) + 144
49 com.apple.HIToolbox 0x931b7d50 MenuSelectCore(MenuData*, Point, double, unsigned long, OpaqueMenuRef**, unsigned short*) + 404
50 com.apple.HIToolbox 0x931b7838 MenuSelect + 100
51 libqt-mt.3.dylib 0xb200615c QApplication::do_mouse_down(Point*, bool*) + 204
52 libqt-mt.3.dylib 0xb2008260 QApplication::globalEventProcessor(OpaqueEventHandlerCallRef*, OpaqueEventRef*, void*) + 5028
53 com.apple.HIToolbox 0x93121ab4 DispatchEventToHandlers(EventTargetRec*, OpaqueEventRef*, HandlerCallRec*) + 692
54 com.apple.HIToolbox 0x9312120c SendEventToEventTargetInternal(OpaqueEventRef*, OpaqueEventTargetRef*, HandlerCallRec*) + 372
55 com.apple.HIToolbox 0x93127f90 SendEventToEventTarget + 40
56 com.apple.HIToolbox 0x931b3adc HandleMouseEvent(OpaqueEventRef*) + 388
57 com.apple.HIToolbox 0x931282fc ToolboxEventDispatcherHandler(OpaqueEventHandlerCallRef*, OpaqueEventRef*, void*) + 496
58 com.apple.HIToolbox 0x93121d04 DispatchEventToHandlers(EventTargetRec*, OpaqueEventRef*, HandlerCallRec*) + 1284
59 com.apple.HIToolbox 0x9312120c SendEventToEventTargetInternal(OpaqueEventRef*, OpaqueEventTargetRef*, HandlerCallRec*) + 372
60 com.apple.HIToolbox 0x93127f90 SendEventToEventTarget + 40
61 libqt-mt.3.dylib 0xb2006e9c qt_mac_send_event(unsigned, OpaqueEventRef*, OpaqueWindowPtr*) + 240
62 libqt-mt.3.dylib 0xb202b2a0 QEventLoop::processEvents(unsigned) + 228
63 libqt-mt.3.dylib 0xb204a238 QEventLoop::enterLoop() + 120
64 libqt-mt.3.dylib 0xb204a124 QEventLoop::exec() + 64
65 Scribus 0x003185cc mainApp(int, char**) + 128
66 Scribus 0x00318530 main + 40
67 Scribus 0x00002384 start + 456
68 dyld 0x8fe01048 _dyld_start + 60

Thread 1:
0 libSystem.B.dylib 0x9002f68c kevent + 12
1 com.apple.DesktopServices 0x9278bad8 TFSNotificationTask::FSNotificationTaskProc(void*) + 56
2 ...ple.CoreServices.CarbonCore 0x90b387d0 PrivateMPEntryPoint + 76
3 libSystem.B.dylib 0x9002c3d4 _pthread_body + 96

Thread 2:
0 libSystem.B.dylib 0x9002ca98 semaphore_wait_signal_trap + 8
1 libSystem.B.dylib 0x9003127c pthread_cond_wait + 508
2 ...ple.CoreServices.CarbonCore 0x90b389c0 MPWaitOnQueue + 224
3 com.apple.DesktopServices 0x9278c330 TNodeSyncTask::SyncTaskProc(void*) + 108
4 ...ple.CoreServices.CarbonCore 0x90b387d0 PrivateMPEntryPoint + 76
5 libSystem.B.dylib 0x9002c3d4 _pthread_body + 96

Thread 0 crashed with PPC Thread State:
  srr0: 0xb22b84dc srr1: 0x0200f930 vrsave: 0x00000000
    cr: 0x28024224 xer: 0x00000004 lr: 0xb22c20e0 ctr: 0xb22c20d0
    r0: 0x003b8c18 r1: 0xbfffc390 r2: 0x0f0fd600 r3: 0x00000000
    r4: 0x00000000 r5: 0x0de81c44 r6: 0x118df671 r7: 0x0000c2c2
    r8: 0x0f0cbcb0 r9: 0x01cd7970 r10: 0x00001bec r11: 0x12ccb2e0
   r12: 0xb22c20d0 r13: 0x00000004 r14: 0x00000000 r15: 0x00000000
   r16: 0xbfffe050 r17: 0xbfffdee0 r18: 0x63757465 r19: 0xbffffbb0
   r20: 0x00000001 r21: 0xffffd96e r22: 0xbffffbb0 r23: 0x11882fc0
   r24: 0x00000221 r25: 0x000002f4 r26: 0x0000000a r27: 0x000002f4
   r28: 0x0000000a r29: 0x0f0b4858 r30: 0xbfffc3e0 r31: 0x002b12d8

Binary Images Description:
    0x1000 - 0x44ffff Scribus /Applications/Scribus.app/Contents/bin/Scribus
  0x605000 - 0x61ffff libjpeg.62.dylib /Applications/Scribus.app/Contents/lib/libjpeg.62.dylib
  0x624000 - 0x63bfff libart_lgpl_2.2.dylib /Applications/Scribus.app/Contents/lib/libart_lgpl_2.2.dylib
  0x640000 - 0x694fff libfreetype.6.dylib /Applications/Scribus.app/Contents/lib/libfreetype.6.dylib
  0x6ac000 - 0x6d0fff liblcms.1.dylib /Applications/Scribus.app/Contents/lib/liblcms.1.dylib
  0x6da000 - 0x720fff libtiff.3.dylib /Applications/Scribus.app/Contents/lib/libtiff.3.dylib
  0x728000 - 0x74ffff libpng.3.dylib /Applications/Scribus.app/Contents/lib/libpng.3.dylib
 0xd2fe000 - 0xd322fff libqjpeg.so /Applications/Scribus.app/Contents/lib/qtplugins/imageformats/libqjpeg.so
 0xd32d000 - 0xd375fff libqmng.so /Applications/Scribus.app/Contents/lib/qtplugins/imageformats/libqmng.so
 0xd9c4000 - 0xda54fff libscriptplugin.0.0.0.so /Applications/Scribus.app/Contents/Resources/plugins/libscriptplugin.0.0.0.so
 0xe3f1000 - 0xe3f9fff libtxtim.0.0.0.so /Applications/Scribus.app/Contents/Resources/plugins/gettext/libtxtim.0.0.0.so
 0xed7c000 - 0xed87fff libcsvim.0.0.0.so /Applications/Scribus.app/Contents/Resources/plugins/gettext/libcsvim.0.0.0.so
 0xed8d000 - 0xeda3fff libhtmlim.0.0.0.so /Applications/Scribus.app/Contents/Resources/plugins/gettext/libhtmlim.0.0.0.so
 0xeda8000 - 0xedd0fff libodtimplugin.0.0.0.so /Applications/Scribus.app/Contents/Resources/plugins/gettext/libodtimplugin.0.0.0.so
 0xedd9000 - 0xedfefff libsxwimplugin.0.0.0.so /Applications/Scribus.app/Contents/Resources/plugins/gettext/libsxwimplugin.0.0.0.so
 0xee06000 - 0xee23fff libtextfilterplugin.0.0.0.so /Applications/Scribus.app/Contents/Resources/plugins/gettext/libtextfilterplugin.0.0.0.so
0x8eec0000 - 0x8eed9fff libexpat.1.dylib /usr/X11R6/lib/libexpat.1.dylib
0x8fdb6000 - 0x8fdd0fff libfontconfig.1.dylib /usr/X11R6/lib/libfontconfig.1.dylib
0x8fe00000 - 0x8fe50fff dyld 43 /usr/lib/dyld
0x90000000 - 0x901a6fff libSystem.B.dylib /usr/lib/libSystem.B.dylib
0x901fe000 - 0x90202fff libmathCommon.A.dylib /usr/lib/system/libmathCommon.A.dylib
0x90204000 - 0x90257fff com.apple.CoreText 1.0.0 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90284000 - 0x90335fff ATS /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x90364000 - 0x9069cfff com.apple.CoreGraphics 1.256.4 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x90727000 - 0x90800fff com.apple.CoreFoundation 6.4.1 (368.1) /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x90849000 - 0x90849fff com.apple.CoreServices 10.4 (???) /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x9084b000 - 0x9094dfff libicucore.A.dylib /usr/lib/libicucore.A.dylib
0x909a7000 - 0x90a2bfff libobjc.A.dylib /usr/lib/libobjc.A.dylib
0x90a55000 - 0x90ac9fff com.apple.framework.IOKit 1.4 (???) /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90ae3000 - 0x90af5fff libauto.dylib /usr/lib/libauto.dylib
0x90afc000 - 0x90dc1fff com.apple.CoreServices.CarbonCore 10.4 (611.1) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90e24000 - 0x90ea4fff com.apple.CoreServices.OSServices 4.0 (4.0.0) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x90eee000 - 0x90f2efff com.apple.CFNetwork 4.0 (80) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x90f43000 - 0x90f5bfff com.apple.WebServices 1.1.2 (1.1.0) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x90f6b000 - 0x90fe9fff com.apple.SearchKit 1.0.3 /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x9102e000 - 0x91055fff com.apple.Metadata 0.1 (121) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x91066000 - 0x91073fff libz.1.dylib /usr/lib/libz.1.dylib
0x91076000 - 0x91238fff com.apple.security 4.0 (221) /System/Library/Frameworks/Security.framework/Versions/A/Security
0x9133a000 - 0x91343fff com.apple.DiskArbitration 2.1 /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x9134a000 - 0x91371fff com.apple.SystemConfiguration 1.8.0 /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91384000 - 0x9138cfff libbsm.dylib /usr/lib/libbsm.dylib
0x91390000 - 0x9140efff com.apple.audio.CoreAudio 3.0.0 (3.0) /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9144c000 - 0x9144cfff com.apple.ApplicationServices 10.4 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x9144e000 - 0x91486fff com.apple.AE 1.5 (297) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x914a1000 - 0x9156cfff com.apple.ColorSync 4.4 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x915c1000 - 0x91654fff com.apple.print.framework.PrintCore 4.0 (172) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x9169a000 - 0x91757fff com.apple.QD 3.8.5 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x91795000 - 0x917f3fff com.apple.HIServices 1.5.0 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x91821000 - 0x91844fff com.apple.LangAnalysis 1.6 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x91858000 - 0x9187dfff com.apple.FindByContent 1.5 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x91890000 - 0x918d0fff com.apple.LaunchServices 10.4.1 (118) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x918eb000 - 0x918fffff com.apple.speech.synthesis.framework 3.3 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x9190d000 - 0x91943fff com.apple.ImageIO.framework 1.0 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x91957000 - 0x91a19fff libcrypto.0.9.7.dylib /usr/lib/libcrypto.0.9.7.dylib
0x91a65000 - 0x91a7afff libcups.2.dylib /usr/lib/libcups.2.dylib
0x91a7f000 - 0x91a9bfff libJPEG.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91aa0000 - 0x91b0ffff libJP2.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91b26000 - 0x91b2afff libGIF.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91b2c000 - 0x91b44fff libRaw.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91b47000 - 0x91b8afff libTIFF.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91b91000 - 0x91baafff libPng.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91baf000 - 0x91bb2fff libRadiance.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91bb4000 - 0x91bb4fff com.apple.Accelerate 1.1.1 (Accelerate 1.1.1) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91bb6000 - 0x91ca0fff com.apple.vImage 2.0 /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91ca8000 - 0x91cc7fff com.apple.Accelerate.vecLib 3.1.1 (vecLib 3.1.1) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91d33000 - 0x91d53fff libmx.A.dylib /usr/lib/libmx.A.dylib
0x91d59000 - 0x91dbefff libvMisc.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91dc8000 - 0x91e5afff libvDSP.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91e74000 - 0x92404fff libBLAS.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x9244c000 - 0x9275cfff libLAPACK.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x92789000 - 0x92814fff com.apple.DesktopServices 1.3 /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x92856000 - 0x92a7ffff com.apple.Foundation 6.4 (567) /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92b9d000 - 0x92c7bfff libxml2.2.dylib /usr/lib/libxml2.2.dylib
0x92c9b000 - 0x92d89fff libiconv.2.dylib /usr/lib/libiconv.2.dylib
0x92d9b000 - 0x92db9fff libGL.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92dc4000 - 0x92e1efff libGLU.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92e3c000 - 0x92e3cfff com.apple.Carbon 10.4 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92e3e000 - 0x92e52fff com.apple.ImageCapture 3.0 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92e6a000 - 0x92e7afff com.apple.speech.recognition.framework 3.4 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92e86000 - 0x92e9bfff com.apple.securityhi 2.0 (203) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92ead000 - 0x92f34fff com.apple.ink.framework 101.2 (69) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x92f48000 - 0x92f53fff com.apple.help 1.0.3 (32) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92f5d000 - 0x92f8afff com.apple.openscripting 1.2.2 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x92fa4000 - 0x92fb4fff com.apple.print.framework.Print 4.0 (187) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x92fc0000 - 0x93026fff com.apple.htmlrendering 1.1.2 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x93057000 - 0x930a9fff com.apple.NavigationServices 3.4 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x930d5000 - 0x930f2fff com.apple.audio.SoundManager 3.9 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x93104000 - 0x93111fff com.apple.CommonPanels 1.2.2 (73) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x9311a000 - 0x9342afff com.apple.HIToolbox 1.4.1 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x93575000 - 0x93581fff com.apple.opengl 1.4.0 /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x94074000 - 0x9413efff com.apple.audio.toolbox.AudioToolbox 1.4 /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x94192000 - 0x94192fff com.apple.audio.units.AudioUnit 1.4 /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x9456b000 - 0x9457afff libCGATS.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x94582000 - 0x9458efff libCSync.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x945d3000 - 0x945e7fff libRIP.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x945ed000 - 0x9484ffff com.apple.QuickTime 7.0.1 /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x94922000 - 0x94941fff com.apple.vecLib 3.1.1 (vecLib 3.1.1) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x94cc4000 - 0x94cf2fff libssl.0.9.7.dylib /usr/lib/libssl.0.9.7.dylib
0x94d02000 - 0x94d1ffff libresolv.9.dylib /usr/lib/libresolv.9.dylib
0x96868000 - 0x96869fff libCyrillicConverter.dylib /System/Library/CoreServices/Encodings/libCyrillicConverter.dylib
0x9686b000 - 0x9686cfff libGreekConverter.dylib /System/Library/CoreServices/Encodings/libGreekConverter.dylib
0x96871000 - 0x96887fff libJapaneseConverter.dylib /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0x96889000 - 0x968a9fff libKoreanConverter.dylib /System/Library/CoreServices/Encodings/libKoreanConverter.dylib
0x968b7000 - 0x968c5fff libSimplifiedChineseConverter.dylib /System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib
0x968ca000 - 0x968cbfff libThaiConverter.dylib /System/Library/CoreServices/Encodings/libThaiConverter.dylib
0x968cd000 - 0x968e0fff libTraditionalChineseConverter.dylib /System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
0x97a74000 - 0x97a81fff com.apple.agl 2.5.6 (AGL-2.5.6) /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x98758000 - 0x98822fff org.python.python 2.3.3 /System/Library/Frameworks/Python.framework/Versions/2.3/Python
0xb2000000 - 0xb2448fff libqt-mt.3.dylib /Applications/Scribus.app/Contents/lib/libqt-mt.3.dylib

Model: PowerBook5,6, BootROM 4.9.1f1, 1 processors, PowerPC G4 (1.2), 1.67 GHz, 1 GB
Graphics: ATI Mobility Radeon 9700, ATY,RV360M11, AGP, 128 MB
Memory Module: SODIMM0/J25LOWER, 512 MB, DDR SDRAM, PC2700U-25330
Memory Module: SODIMM1/J25UPPER, 512 MB, DDR SDRAM, PC2700U-25330
AirPort: AirPort Extreme, 3.5f1 (3.50.37.p6)
Modem: Jump, , V.92, Version 1.0,
Bluetooth: Version 1.6.0f2, 2 service, 1 devices, 1 incoming serial ports
Network Service: AirPort, AirPort, en1
PCI Card: TXN,PCIXXXX-00, cardbus, PC Card
Parallel ATA Device: MATSHITADVD-R UJ-835E,
Parallel ATA Device: FUJITSU MHT2080AH, 74.53 GB
USB Device: Bluetooth HCI, , Up to 12 Mb/sec, 500 mA
USB Device: Apple Internal Keyboard/Trackpad, Apple Computer, Up to 12 Mb/sec, 500 mA
USB Device: S750, Canon, Up to 12 Mb/sec, 500 mA
TagsNo tags attached.
Patch

Relationships

child of 0002015 closedavox This issue lists all known regressions of the Aqua port compared with the 13 Linux version 

Activities

ringerc

2005-06-07 11:24

reporter   ~0004946

I don't know what's going on, I just want to say - I think I'm in love with MacOS/X. That feature (bug report tool) alone...

ringerc

2005-06-07 11:25

reporter   ~0004947

Does this happen if you add the path with no document currently open? What about if you then create a new, blank document and "insert sample text"?

juh

2005-06-07 11:36

reporter   ~0004949

This document and sample text frame I get the same quasi:
Signal 11

Date/Time: 2005-06-07 15:36:23.998 +0200
OS Version: 10.4.1 (Build 8B15)
Report Version: 3

Command: Scribus
Path: /Applications/Scribus.app/Contents//bin/Scribus
Parent: WindowServer [62]

Version: 1.3cvs (???)

PID: 1450
Thread: 0

Exception: EXC_BAD_ACCESS (0x0001)
Codes: KERN_INVALID_ADDRESS (0x0001) at 0x7c030380

Thread 0 Crashed:
0 Scribus 0x003aca24 unz_copyright + 109168
1 Scribus 0x003ac52c unz_copyright + 107896
2 Scribus 0x003ac52c unz_copyright + 107896
3 Scribus 0x003abe98 unz_copyright + 106212
4 Scribus 0x002b0c14 Cwidth(ScribusDoc*, Foi*, QString, int, QString) + 204
5 Scribus 0x0013fc2c PageItem::DrawObj_TextFrame(ScPainter*, QRect) + 17348
6 Scribus 0x001396cc PageItem::DrawObj(ScPainter*, QRect) + 340
7 Scribus 0x001c0fc4 ScribusView::DrawPageItems(ScPainter*, QRect) + 820
8 Scribus 0x001be5c8 ScribusView::drawContents(QPainter*, int, int, int, int) + 2092
9 libqt-mt.3.dylib 0xb2152564 QScrollView::drawContentsOffset(QPainter*, int, int, int, int, int, int) + 152
10 libqt-mt.3.dylib 0xb2151314 QScrollView::viewportPaintEvent(QPaintEvent*) + 540
11 Scribus 0x001bdd88 ScribusView::viewportPaintEvent(QPaintEvent*) + 72
12 libqt-mt.3.dylib 0xb2150fcc QScrollView::eventFilter(QObject*, QEvent*) + 824
13 libqt-mt.3.dylib 0xb20798c4 QObject::activate_filters(QEvent*) + 140
14 libqt-mt.3.dylib 0xb2079768 QObject::event(QEvent*) + 72
15 libqt-mt.3.dylib 0xb20a63d4 QWidget::event(QEvent*) + 36
16 libqt-mt.3.dylib 0xb203c208 QApplication::internalNotify(QObject*, QEvent*) + 764
17 libqt-mt.3.dylib 0xb203be00 QApplication::notify(QObject*, QEvent*) + 2692
18 libqt-mt.3.dylib 0xb202499c QWidget::repaint(QRegion const&, bool) + 244
19 libqt-mt.3.dylib 0xb200714c QApplication::globalEventProcessor(OpaqueEventHandlerCallRef*, OpaqueEventRef*, void*) + 656
20 com.apple.HIToolbox 0x93121ab4 DispatchEventToHandlers(EventTargetRec*, OpaqueEventRef*, HandlerCallRec*) + 692
21 com.apple.HIToolbox 0x9312120c SendEventToEventTargetInternal(OpaqueEventRef*, OpaqueEventTargetRef*, HandlerCallRec*) + 372
22 com.apple.HIToolbox 0x93121088 SendEventToEventTargetWithOptions + 40
23 com.apple.HIToolbox 0x931283cc ToolboxEventDispatcherHandler(OpaqueEventHandlerCallRef*, OpaqueEventRef*, void*) + 704
24 com.apple.HIToolbox 0x93121d04 DispatchEventToHandlers(EventTargetRec*, OpaqueEventRef*, HandlerCallRec*) + 1284
25 com.apple.HIToolbox 0x9312120c SendEventToEventTargetInternal(OpaqueEventRef*, OpaqueEventTargetRef*, HandlerCallRec*) + 372
26 com.apple.HIToolbox 0x93127f90 SendEventToEventTarget + 40
27 libqt-mt.3.dylib 0xb2006e9c qt_mac_send_event(unsigned, OpaqueEventRef*, OpaqueWindowPtr*) + 240
28 libqt-mt.3.dylib 0xb202b2a0 QEventLoop::processEvents(unsigned) + 228
29 libqt-mt.3.dylib 0xb204a238 QEventLoop::enterLoop() + 120
30 libqt-mt.3.dylib 0xb204a124 QEventLoop::exec() + 64
31 Scribus 0x003185cc mainApp(int, char**) + 128
32 Scribus 0x00318530 main + 40
33 Scribus 0x00002384 start + 456
34 dyld 0x8fe01048 _dyld_start + 60

Thread 1:
0 libSystem.B.dylib 0x9002f68c kevent + 12
1 com.apple.DesktopServices 0x9278bad8 TFSNotificationTask::FSNotificationTaskProc(void*) + 56
2 ...ple.CoreServices.CarbonCore 0x90b387d0 PrivateMPEntryPoint + 76
3 libSystem.B.dylib 0x9002c3d4 _pthread_body + 96

Thread 2:
0 libSystem.B.dylib 0x9002ca98 semaphore_wait_signal_trap + 8
1 libSystem.B.dylib 0x9003127c pthread_cond_wait + 508
2 ...ple.CoreServices.CarbonCore 0x90b389c0 MPWaitOnQueue + 224
3 com.apple.DesktopServices 0x9278c330 TNodeSyncTask::SyncTaskProc(void*) + 108
4 ...ple.CoreServices.CarbonCore 0x90b387d0 PrivateMPEntryPoint + 76
5 libSystem.B.dylib 0x9002c3d4 _pthread_body + 96

Thread 0 crashed with PPC Thread State:
  srr0: 0x003aca24 srr1: 0x0200f930 vrsave: 0x00000000
    cr: 0x28024228 xer: 0x00000004 lr: 0x003ac52c ctr: 0xb22b9a5c
    r0: 0x7c030378 r1: 0xbfffda90 r2: 0x7c030378 r3: 0xbfffdb80
    r4: 0x00008db0 r5: 0xbfffdc14 r6: 0x00000078 r7: 0xbfffe2a0
    r8: 0x00000001 r9: 0x00440b60 r10: 0x00001f5d r11: 0x00454078
   r12: 0xb22b9a5c r13: 0x00000002 r14: 0x00000000 r15: 0x00000000
   r16: 0xbffff7a0 r17: 0xbffff630 r18: 0x63757465 r19: 0xbffffbb0
   r20: 0x00000001 r21: 0xffffd96e r22: 0xbffffbb0 r23: 0x0ec1c8d0
   r24: 0x00000199 r25: 0x00000232 r26: 0x0000000a r27: 0x00000232
   r28: 0x128b6600 r29: 0xbfffdb80 r30: 0xbfffda90 r31: 0x002b0b60

Binary Images Description:
    0x1000 - 0x44ffff Scribus /Applications/Scribus.app/Contents/bin/Scribus
  0x605000 - 0x61ffff libjpeg.62.dylib /Applications/Scribus.app/Contents/lib/libjpeg.62.dylib
  0x624000 - 0x63bfff libart_lgpl_2.2.dylib /Applications/Scribus.app/Contents/lib/libart_lgpl_2.2.dylib
  0x640000 - 0x694fff libfreetype.6.dylib /Applications/Scribus.app/Contents/lib/libfreetype.6.dylib
  0x6ac000 - 0x6d0fff liblcms.1.dylib /Applications/Scribus.app/Contents/lib/liblcms.1.dylib
  0x6da000 - 0x720fff libtiff.3.dylib /Applications/Scribus.app/Contents/lib/libtiff.3.dylib
  0x728000 - 0x74ffff libpng.3.dylib /Applications/Scribus.app/Contents/lib/libpng.3.dylib
 0xd488000 - 0xd4acfff libqjpeg.so /Applications/Scribus.app/Contents/lib/qtplugins/imageformats/libqjpeg.so
 0xd4b7000 - 0xd4fffff libqmng.so /Applications/Scribus.app/Contents/lib/qtplugins/imageformats/libqmng.so
 0xd7a2000 - 0xd832fff libscriptplugin.0.0.0.so /Applications/Scribus.app/Contents/Resources/plugins/libscriptplugin.0.0.0.so
0x8eec0000 - 0x8eed9fff libexpat.1.dylib /usr/X11R6/lib/libexpat.1.dylib
0x8fdb6000 - 0x8fdd0fff libfontconfig.1.dylib /usr/X11R6/lib/libfontconfig.1.dylib
0x8fe00000 - 0x8fe50fff dyld 43 /usr/lib/dyld
0x90000000 - 0x901a6fff libSystem.B.dylib /usr/lib/libSystem.B.dylib
0x901fe000 - 0x90202fff libmathCommon.A.dylib /usr/lib/system/libmathCommon.A.dylib
0x90204000 - 0x90257fff com.apple.CoreText 1.0.0 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90284000 - 0x90335fff ATS /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x90364000 - 0x9069cfff com.apple.CoreGraphics 1.256.4 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x90727000 - 0x90800fff com.apple.CoreFoundation 6.4.1 (368.1) /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x90849000 - 0x90849fff com.apple.CoreServices 10.4 (???) /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x9084b000 - 0x9094dfff libicucore.A.dylib /usr/lib/libicucore.A.dylib
0x909a7000 - 0x90a2bfff libobjc.A.dylib /usr/lib/libobjc.A.dylib
0x90a55000 - 0x90ac9fff com.apple.framework.IOKit 1.4 (???) /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90ae3000 - 0x90af5fff libauto.dylib /usr/lib/libauto.dylib
0x90afc000 - 0x90dc1fff com.apple.CoreServices.CarbonCore 10.4 (611.1) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90e24000 - 0x90ea4fff com.apple.CoreServices.OSServices 4.0 (4.0.0) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x90eee000 - 0x90f2efff com.apple.CFNetwork 4.0 (80) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x90f43000 - 0x90f5bfff com.apple.WebServices 1.1.2 (1.1.0) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x90f6b000 - 0x90fe9fff com.apple.SearchKit 1.0.3 /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x9102e000 - 0x91055fff com.apple.Metadata 0.1 (121) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x91066000 - 0x91073fff libz.1.dylib /usr/lib/libz.1.dylib
0x91076000 - 0x91238fff com.apple.security 4.0 (221) /System/Library/Frameworks/Security.framework/Versions/A/Security
0x9133a000 - 0x91343fff com.apple.DiskArbitration 2.1 /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x9134a000 - 0x91371fff com.apple.SystemConfiguration 1.8.0 /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91384000 - 0x9138cfff libbsm.dylib /usr/lib/libbsm.dylib
0x91390000 - 0x9140efff com.apple.audio.CoreAudio 3.0.0 (3.0) /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9144c000 - 0x9144cfff com.apple.ApplicationServices 10.4 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x9144e000 - 0x91486fff com.apple.AE 1.5 (297) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x914a1000 - 0x9156cfff com.apple.ColorSync 4.4 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x915c1000 - 0x91654fff com.apple.print.framework.PrintCore 4.0 (172) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x9169a000 - 0x91757fff com.apple.QD 3.8.5 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x91795000 - 0x917f3fff com.apple.HIServices 1.5.0 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x91821000 - 0x91844fff com.apple.LangAnalysis 1.6 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x91858000 - 0x9187dfff com.apple.FindByContent 1.5 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x91890000 - 0x918d0fff com.apple.LaunchServices 10.4.1 (118) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x918eb000 - 0x918fffff com.apple.speech.synthesis.framework 3.3 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x9190d000 - 0x91943fff com.apple.ImageIO.framework 1.0 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x91957000 - 0x91a19fff libcrypto.0.9.7.dylib /usr/lib/libcrypto.0.9.7.dylib
0x91a65000 - 0x91a7afff libcups.2.dylib /usr/lib/libcups.2.dylib
0x91a7f000 - 0x91a9bfff libJPEG.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91aa0000 - 0x91b0ffff libJP2.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91b26000 - 0x91b2afff libGIF.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91b2c000 - 0x91b44fff libRaw.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91b47000 - 0x91b8afff libTIFF.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91b91000 - 0x91baafff libPng.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91baf000 - 0x91bb2fff libRadiance.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91bb4000 - 0x91bb4fff com.apple.Accelerate 1.1.1 (Accelerate 1.1.1) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91bb6000 - 0x91ca0fff com.apple.vImage 2.0 /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91ca8000 - 0x91cc7fff com.apple.Accelerate.vecLib 3.1.1 (vecLib 3.1.1) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91d33000 - 0x91d53fff libmx.A.dylib /usr/lib/libmx.A.dylib
0x91d59000 - 0x91dbefff libvMisc.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91dc8000 - 0x91e5afff libvDSP.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91e74000 - 0x92404fff libBLAS.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x9244c000 - 0x9275cfff libLAPACK.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x92789000 - 0x92814fff com.apple.DesktopServices 1.3 /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x92856000 - 0x92a7ffff com.apple.Foundation 6.4 (567) /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92b9d000 - 0x92c7bfff libxml2.2.dylib /usr/lib/libxml2.2.dylib
0x92c9b000 - 0x92d89fff libiconv.2.dylib /usr/lib/libiconv.2.dylib
0x92d9b000 - 0x92db9fff libGL.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92dc4000 - 0x92e1efff libGLU.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92e3c000 - 0x92e3cfff com.apple.Carbon 10.4 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92e3e000 - 0x92e52fff com.apple.ImageCapture 3.0 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92e6a000 - 0x92e7afff com.apple.speech.recognition.framework 3.4 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92e86000 - 0x92e9bfff com.apple.securityhi 2.0 (203) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92ead000 - 0x92f34fff com.apple.ink.framework 101.2 (69) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x92f48000 - 0x92f53fff com.apple.help 1.0.3 (32) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92f5d000 - 0x92f8afff com.apple.openscripting 1.2.2 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x92fa4000 - 0x92fb4fff com.apple.print.framework.Print 4.0 (187) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x92fc0000 - 0x93026fff com.apple.htmlrendering 1.1.2 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x93057000 - 0x930a9fff com.apple.NavigationServices 3.4 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x930d5000 - 0x930f2fff com.apple.audio.SoundManager 3.9 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x93104000 - 0x93111fff com.apple.CommonPanels 1.2.2 (73) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x9311a000 - 0x9342afff com.apple.HIToolbox 1.4.1 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x93575000 - 0x93581fff com.apple.opengl 1.4.0 /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x94074000 - 0x9413efff com.apple.audio.toolbox.AudioToolbox 1.4 /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x94192000 - 0x94192fff com.apple.audio.units.AudioUnit 1.4 /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x9456b000 - 0x9457afff libCGATS.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x94582000 - 0x9458efff libCSync.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x945d3000 - 0x945e7fff libRIP.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x945ed000 - 0x9484ffff com.apple.QuickTime 7.0.1 /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x94922000 - 0x94941fff com.apple.vecLib 3.1.1 (vecLib 3.1.1) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x94cc4000 - 0x94cf2fff libssl.0.9.7.dylib /usr/lib/libssl.0.9.7.dylib
0x94d02000 - 0x94d1ffff libresolv.9.dylib /usr/lib/libresolv.9.dylib
0x96868000 - 0x96869fff libCyrillicConverter.dylib /System/Library/CoreServices/Encodings/libCyrillicConverter.dylib
0x9686b000 - 0x9686cfff libGreekConverter.dylib /System/Library/CoreServices/Encodings/libGreekConverter.dylib
0x96871000 - 0x96887fff libJapaneseConverter.dylib /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0x96889000 - 0x968a9fff libKoreanConverter.dylib /System/Library/CoreServices/Encodings/libKoreanConverter.dylib
0x968b7000 - 0x968c5fff libSimplifiedChineseConverter.dylib /System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib
0x968ca000 - 0x968cbfff libThaiConverter.dylib /System/Library/CoreServices/Encodings/libThaiConverter.dylib
0x968cd000 - 0x968e0fff libTraditionalChineseConverter.dylib /System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
0x97a74000 - 0x97a81fff com.apple.agl 2.5.6 (AGL-2.5.6) /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x98758000 - 0x98822fff org.python.python 2.3.3 /System/Library/Frameworks/Python.framework/Versions/2.3/Python
0xb2000000 - 0xb2448fff libqt-mt.3.dylib /Applications/Scribus.app/Contents/lib/libqt-mt.3.dylib

Model: PowerBook5,6, BootROM 4.9.1f1, 1 processors, PowerPC G4 (1.2), 1.67 GHz, 1 GB
Graphics: ATI Mobility Radeon 9700, ATY,RV360M11, AGP, 128 MB
Memory Module: SODIMM0/J25LOWER, 512 MB, DDR SDRAM, PC2700U-25330
Memory Module: SODIMM1/J25UPPER, 512 MB, DDR SDRAM, PC2700U-25330
AirPort: AirPort Extreme, 3.5f1 (3.50.37.p6)
Modem: Jump, , V.92, Version 1.0,
Bluetooth: Version 1.6.0f2, 2 service, 1 devices, 1 incoming serial ports
Network Service: AirPort, AirPort, en1
PCI Card: TXN,PCIXXXX-00, cardbus, PC Card
Parallel ATA Device: MATSHITADVD-R UJ-835E,
Parallel ATA Device: FUJITSU MHT2080AH, 74.53 GB
USB Device: Bluetooth HCI, , Up to 12 Mb/sec, 500 mA
USB Device: Apple Internal Keyboard/Trackpad, Apple Computer, Up to 12 Mb/sec, 500 mA
USB Device: S750, Canon, Up to 12 Mb/sec, 500 mA

ringerc

2005-06-07 13:18

reporter   ~0004950

That looks like it might be a bad font. What happens if you temporarily move your fonts out of that folder, then add it? Does the crash still happen? What about with just one or two fonts in there (try a couple of different sets before being sure)?

avox

2005-06-08 09:23

administrator   ~0004971

I accidently introduced a bug in the way Scribus is handling broken fonts. Check the console output if there is a line like:
Font /Users/vox/Library/Fonts/gsfonts/p052023l.pfb has broken glyph 392 (charcode 1035)

These fonts will crash Scribus if you use them for textframes.

Will be fixed in the next version

Issue History

Date Modified Username Field Change
2005-06-07 11:15 juh New Issue
2005-06-07 11:24 ringerc Note Added: 0004946
2005-06-07 11:25 ringerc Note Added: 0004947
2005-06-07 11:36 juh Note Added: 0004949
2005-06-07 13:18 ringerc Note Added: 0004950
2005-06-07 13:19 ringerc Status new => acknowledged
2005-06-08 07:16 ringerc Relationship added child of 0002015
2005-06-08 09:23 avox Note Added: 0004971
2005-11-05 13:51 avox Status acknowledged => resolved
2005-11-05 13:51 avox Fixed in Version => 1.3.1cvs
2005-11-05 13:51 avox Resolution open => unable to reproduce
2005-11-05 13:51 avox Assigned To => avox
2005-11-05 13:52 avox Status resolved => closed
2014-10-08 18:38 Kunda Category PPCOSX => OS-PPCOSX